--code by matjojo, this makes the variables for the EMC creation via recipes
function roundNum(val, decimal)
	if (decimal) then
		return math.floor(((val * 10^decimal) + 0.5) / (10^decimal))
	else
		return math.floor(val+0.5)
	end
end

game.oninit(function()
	io.open ("__Equivalent-Exchange__/config/EMCfixed.lua", "r")
	varversion = 011
	vartimetoEMC = 0
	EMCwater = 1
	EMCcrude_oil = 1
	EMCpetroleum_gas = (((10 + (5 * vartimetoEMC)) / 10) * 4)
	EMClight_oil = (((10 + (5 * vartimetoEMC)) / 10) * 3)
	EMCheavy_oil = (((10 + (5 * vartimetoEMC)) / 10) * 3)
	EMCraw_wood = 1
	EMCcoal = 5
	EMCiron_ore = 5
	EMCcopper_ore = 5
	EMCstone = 5
	EMCraw_fish = 1
	EMCalien_artifact = 100                                                        --very late game item. to be assigned better
	EMCwood = EMCraw_wood / 2
	EMCiron_plate = EMCiron_ore + (3.5 * vartimetoEMC)
	EMCcopper_plate = EMCcopper_ore + (3.5 * vartimetoEMC)
	EMCsteel_plate = (EMCiron_plate * 5) + (17.5 * vartimetoEMC)
	EMCstone_brick = (EMCstone * 2) + (3.5 * vartimetoEMC)
	EMCiron_stick = 0.5 * (EMCiron_plate + (0.5 * vartimetoEMC))
	EMCiron_gear_wheel = 0.5 * (EMCiron_plate + (0.5 * vartimetoEMC))
	EMCcopper_cable = 0.5 * (EMCcopper_plate + (0.5 * vartimetoEMC))
	EMCelectronic_circuit = (EMCiron_plate + (3 * EMCcopper_cable) + (0.5 * vartimetoEMC))
	EMCsulfur = ((3 * EMCwater) + (3 * EMCpetroleum_gas) + (1 * vartimetoEMC)) / 2
	EMCplastic_bar = (EMCcoal + (3 * EMCpetroleum_gas) + 1 * vartimetoEMC) / 2
	EMCsulfuric_acid = (EMCiron_plate + (5 * EMCsulfur) + (10 * EMCwater) + (1 * vartimetoEMC)) / 5
	EMCbattery = ((5 * vartimetoEMC) + EMCiron_plate + EMCcopper_plate + (2 * EMCsulfuric_acid))
	EMCadvanced_circuit = ((8 * vartimetoEMC) + (2 * EMCplastic_bar) + (2 * EMCelectronic_circuit) + (4 * EMCcopper_cable))
	EMCprocessing_unit = ((15 * vartimetoEMC) + (20 * EMCelectronic_circuit) + (2 * EMCadvanced_circuit) + (0.5 * EMCsulfuric_acid))
	EMCpipe = (EMCiron_plate + (0.5 * vartimetoEMC))
	EMCengine_unit = ((20 * vartimetoEMC) + (2 * EMCpipe) + EMCsteel_plate + EMCiron_gear_wheel)
	EMClubricant = EMCheavy_oil
	EMCelectric_engine_unit = ((20 * vartimetoEMC) + (2 * EMCelectronic_circuit) + EMCengine_unit + (2 * EMClubricant))
	EMCflying_robot_frame = ((20 * vartimetoEMC) + EMCsteel_plate + (3 * EMCelectronic_circuit) + EMCelectric_engine_unit + (2 * EMCbattery))
	EMCscience_pack_1 = ((5 * vartimetoEMC) + EMCcopper_plate + EMCiron_gear_wheel)
	EMCinserter = ((0.5 * vartimetoEMC) + EMCiron_plate + EMCiron_gear_wheel + EMCelectronic_circuit)
	EMCtransport_belt = ((0.5 * vartimetoEMC) + EMCiron_plate + EMCiron_gear_wheel) / 2
	EMCscience_pack_2 = ((6 * vartimetoEMC + EMCinserter + EMCtransport_belt))
	EMCfast_inserter = ((0.5 * vartimetoEMC) + EMCinserter + (2 * EMCiron_plate) + (2 * EMCelectronic_circuit))
	EMCsmart_insterter = ((0.5 * vartimetoEMC) + EMCfast_inserter + (4 * EMCelectronic_circuit))
	EMCscience_pack_3 = ((12 * vartimetoEMC) + EMCsmart_insterter + EMCsteel_plate + EMCadvanced_circuit + EMCbattery)
	EMCalien_science_pack = ((12 * vartimetoEMC) + EMCalien_artifact) / 10
	EMCempty_barrel = ((1 * vartimetoEMC) + EMCsteel_plate)
	EMCexplosives = ((5 * vartimetoEMC) + EMCcoal + EMCsulfur + EMCwater)
	EMCiron_axe = ((0.5 * vartimetoEMC) + (3 * EMCiron_plate) + (2 * EMCiron_stick))
	EMCsteel_axe = ((0.5 * vartimetoEMC) + (5 * EMCsteel_plate) + (2 * EMCiron_stick))
	EMCpistol = ((2 * vartimetoEMC) + (5 * EMCiron_plate) + (5 * EMCcopper_plate))
	EMCsubmachine_gun = ((2 * vartimetoEMC) + (10 * EMCiron_plate) + (5 * EMCcopper_plate) + (10 * EMCiron_gear_wheel))
	EMCrocket_launcher = ((5 * vartimetoEMC) + (5 * EMCiron_plate) + (5 * EMCiron_gear_wheel) + (5 * EMCelectronic_circuit))
	EMCflamethrower = ((10 * vartimetoEMC) + (5 * EMCsteel_plate) + (10 * EMCiron_gear_wheel))
	EMCland_mine = (((5 * vartimetoEMC) + EMCsteel_plate + (2 * EMCexplosives)) / 4)
	EMCshotgun = ((4 * vartimetoEMC) + (5 * EMCwood) + (10 * EMCcopper_plate) + (15 * EMCiron_plate) + (5 * EMCiron_gear_wheel))
	EMCcombat_shotgun = ((8 * vartimetoEMC) + (10 * EMCwood) + (10 * EMCcopper_plate) + (15 * EMCsteel_plate) + (5 * EMCiron_gear_wheel))
	EMCbasic_grenade = ((8 * vartimetoEMC) + (10 * EMCcoal) + (5 * EMCiron_plate))
	EMCpiercing_rounds_magazine = ((5 * vartimetoEMC) + (5 * EMCcopper_plate) + (EMCsteel_plate))
	EMCdefender_capsule = ((8 * vartimetoEMC) + (3 * EMCiron_gear_wheel) + (2 * EMCelectronic_circuit) + (EMCpiercing_rounds_magazine))
	EMCpoison_capsule = ((8 * vartimetoEMC) + (10 * EMCcoal) + (3 * EMCsteel_plate) + (3 * EMCelectronic_circuit))
	EMCslowdown_capsule = ((8 * vartimetoEMC) + (5 * EMCcoal) + (2 * EMCsteel_plate) + (2 * EMCelectronic_circuit))
	EMCdistractor_capsule = ((15 * vartimetoEMC) + (3 * EMCadvanced_circuit) + (4 * EMCdefender_capsule))
	EMCspeedmodule1 = ((15 * vartimetoEMC) + (5 * EMCelectronic_circuit) + (5 * EMCadvanced_circuit))
	EMCedestroyer_capsule = ((15 * vartimetoEMC) + (EMCspeedmodule1) + (4 * EMCdistractor_capsule))
	EMCbasic_electric_discharge_defense_remote = ((0.5 * vartimetoEMC) + (EMCelectronic_circuit))
	EMCtank = ((0.5 * vartimetoEMC) + (50 * EMCsteel_plate) + (15 * EMCiron_gear_wheel) + (5 * EMCadvanced_circuit) + (16 * EMCengine_unit))
	EMCregular_magazine = ((2 * vartimetoEMC) + (2 * EMCiron_plate))
	EMCshotgun_shells = ((3 * vartimetoEMC) + (2 * EMCiron_plate) + (2 * EMCcopper_plate))
	EMCpercing_shotgun_shells = ((8 * vartimetoEMC) + (2 * EMCcopper_plate) + (2 * EMCsteel_plate))
	EMCrocket = ((8 * vartimetoEMC) + (2 * EMCiron_plate) + (EMCelectronic_circuit) + (2 * EMCexplosives))
	EMCexplosive_rocket = ((8 * vartimetoEMC) + (5 * EMCexplosives) + (EMCrocket))
	EMCflamethrower_ammo = ((3 * vartimetoEMC) + (5 * EMCiron_plate) + (2.5 * EMCheavy_oil) + (2.5 * EMClight_oil))
	EMCcannon_shells = ((8 * vartimetoEMC) + (4 * EMCsteel_plate) + (2 * EMCplastic_bar) + (EMCexplosives))
	EMCiron_armor = ((3 * vartimetoEMC) + (40 * EMCiron_plate))
	EMCheavy_armor = ((8 * vartimetoEMC) + (100 * EMCcopper_plate) + (50 * EMCsteel_plate))
	EMCbasic_modular_armor = ((15 * vartimetoEMC) + (50 * EMCsteel_plate) + (30 * EMCadvanced_circuit) + (5 * EMCprocessing_unit))
	EMCpower_armor = ((20 * vartimetoEMC) + (100 * EMCsteel_plate) + (10 * EMCalien_artifact) + (100 * EMCprocessing_unit) + (30 * EMCelectric_engine_unit))
	EMCspeedmodule2 = ((30 * vartimetoEMC) + (5 * EMCadvanced_circuit) + (5 * EMCprocessing_unit) + (4 * EMCspeedmodule1))
	EMCspeedmodule3 = ((60 * vartimetoEMC) + (5 * EMCadvanced_circuit) + (5 * EMCprocessing_unit) + (4 * EMCspeedmodule2))
	EMCefficiencymodule1 = ((15 * vartimetoEMC) + (5 * EMCelectronic_circuit) + (5 * EMCadvanced_circuit))
	EMCefficiencymodule2 = ((30 * vartimetoEMC) + (5 * EMCadvanced_circuit) + (5 * EMCprocessing_unit) + (4 * EMCefficiencymodule1))
	EMCefficiencymodule3 = ((60 * vartimetoEMC) + (5 * EMCadvanced_circuit) + (5 * EMCprocessing_unit) + (5 * EMCefficiencymodule2))
	EMCpower_armorMK2 = ((25 * vartimetoEMC) + (5 * EMCspeedmodule3) + (5 * EMCefficiencymodule3) + (50 * EMCsteel_plate) + (50 * EMCalien_artifact) + (200 * EMCprocessing_unit))
	EMCnightvision = ((10 * vartimetoEMC) + (10 * EMCsteel_plate) + (5 * EMCadvanced_circuit))
	EMCbatteryMK1 = ((10 * vartimetoEMC) + (10 * EMCsteel_plate) + (5 * EMCbattery))
	EMCbatteryMK2 = ((10 * vartimetoEMC) + (10 * EMCbatteryMK1) + (20 * EMCprocessing_unit))
	EMCenergy_shield = ((10 * vartimetoEMC) + (10 * EMCsteel_plate) + (5 * EMCadvanced_circuit))
	EMCenergy_shieldMK2 = ((10 * vartimetoEMC) + (10 * EMCenergy_shield) + (10 * EMCprocessing_unit))
	EMCsolar_panel = ((10 * vartimetoEMC) + (5 * EMCcopper_plate) + (5 * EMCsteel_plate) + (15 * EMCelectronic_circuit))
	EMCportable_solar_panel = ((10 * vartimetoEMC) + (5 * EMCsteel_plate) + (5 * EMCsolar_panel) + (EMCprocessing_unit))
	EMCportable_fusion_reactor = ((10 * vartimetoEMC) + (30 * EMCalien_artifact) + (100 * EMCprocessing_unit))
	EMClaser_turret = ((10 * vartimetoEMC) + (5 * EMCsteel_plate) + (5 * EMCelectronic_circuit) + (3 * EMCbattery))
	EMCpersonal_laser_defense = ((10 * vartimetoEMC) + (5 * EMCsteel_plate) + ( 5 * EMClaser_turret) + (EMCprocessing_unit))
	EMCdischarge_defense = ((10 * vartimetoEMC) + (20 * EMCsteel_plate) + (10 * EMClaser_turret) + (5 * EMCprocessing_unit))
	EMCbasic_exoskeleton_equipment = ((10 * vartimetoEMC) + (20 * EMCsteel_plate) + (EMCprocessing_unit) + (30 * EMCelectric_engine_unit))
	EMCproductivitymodule1 = ((15 * vartimetoEMC) + (5 * EMCelectronic_circuit) + (5 * EMCadvanced_circuit))
	EMCproductivitymodule2 = ((30 * vartimetoEMC) + (5 * EMCadvanced_circuit) + (5 * EMCprocessing_unit) + (4 * EMCproductivitymodule1))
	EMCproductivitymodule3 = ((60 * vartimetoEMC) + (5 * EMCadvanced_circuit) + (5 * EMCprocessing_unit) + (5 * EMCproductivitymodule2))
	EMCcar = ((1 * vartimetoEMC) + (20 * EMCiron_plate) + (5 * EMCsteel_plate) + (8 * EMCengine_unit))
	EMCred_wire = ((0.5 * vartimetoEMC) + (EMCcopper_cable) + (EMCelectronic_circuit))
	EMCgreen_wire = ((0.5 * vartimetoEMC) + (EMCcopper_cable) + (EMCelectronic_circuit))
	EMClogistics_robot = ((0.5 * vartimetoEMC) + (EMCflying_robot_frame) + (2 * EMCadvanced_circuit))
	EMCconstruction_robot = ((0.5 * vartimetoEMC) + (EMCflying_robot_frame) + (2 * EMCadvanced_circuit))
	EMCroboport = ((15 * vartimetoEMC) + (45 * EMCsteel_plate) + (45 * EMCiron_gear_wheel) + (45 * EMCadvanced_circuit))
	EMCblueprint = ((1 * vartimetoEMC) + (EMCadvanced_circuit))
	EMCdeconstriction_planner = ((1 * vartimetoEMC) + (EMCadvanced_circuit))
	EMCsolid_fuel = ((3 * vartimetoEMC) + (2 * EMCheavy_oil))
	EMCunderground_belt = (((1 * vartimetoEMC) + (5 * EMCtransport_belt) + (10 * EMCiron_plate)) / 2)
	EMCsplitter = ((1 * vartimetoEMC) + (4 * EMCtransport_belt) + (5 * EMCiron_plate) + (5 * EMCelectronic_circuit))
	EMCfast_transport_belt = ((0.5 * vartimetoEMC) + (EMCtransport_belt) + (5 * EMCiron_gear_wheel))
	EMCfast_underground_belt = ((0.25 * vartimetoEMC) + (EMCunderground_belt) + (10 * EMCiron_gear_wheel))
	EMCfast_splitter = ((2 * vartimetoEMC) + (4 * EMCfast_transport_belt) + (10 * EMCiron_gear_wheel) + (10 * EMCelectronic_circuit))
	EMCexpress_transport_belt = ((0.5 * vartimetoEMC) + (EMCfast_transport_belt) + (5 * EMCiron_gear_wheel) + (2 * EMClubricant))
	EMCexpress_underground_belt = ((0.25 * vartimetoEMC) + (EMCfast_underground_belt) + (20 * EMCiron_gear_wheel))
	EMCexpress_splitter = ((2 * vartimetoEMC) + (4 * EMCexpress_transport_belt) + (10 * EMCiron_gear_wheel) + (10 * EMCadvanced_circuit))
	EMCburner_insterter = ((0.5 * vartimetoEMC) + (EMCiron_plate) + (EMCiron_gear_wheel))
	EMClong_handed_inserter = ((0.5 * vartimetoEMC) + (EMCinserter) + (EMCiron_plate) + (EMCiron_gear_wheel))
	EMCwooden_chest = ((0.5 * vartimetoEMC) + (4 * EMCwood))
	EMCiron_chest = ((0.5 * vartimetoEMC) + (8 * EMCiron_plate))
	EMCsteel_chest = ((0.5 * vartimetoEMC) + (8 * EMCsteel_plate))
	EMCsmart_chest = ((0.5 * vartimetoEMC) + (EMCsteel_chest) + (3 * EMCelectronic_circuit))
	EMCactive_provider_chest = ((0.5 * vartimetoEMC) + (EMCsmart_chest) + (EMCadvanced_circuit))
	EMCpassive_provider_chest = ((0.5 * vartimetoEMC) + (EMCsmart_chest) + (EMCadvanced_circuit))
	EMCstorage_chest = ((0.5 * vartimetoEMC) + (EMCsmart_chest) + (EMCadvanced_circuit))
	EMCrequester_chest = ((0.5 * vartimetoEMC) + (EMCsmart_chest) + (EMCadvanced_circuit))
	EMCwall = ((0.5 * vartimetoEMC) + (EMCstone_brick))
	EMCturret = ((5 * vartimetoEMC) + (10 * EMCiron_plate) + (5 * EMCcopper_plate) + (5 * EMCiron_gear_wheel))
	--EMCrocket_defense = ((0.5 * vartimetoEMC) + (50 * EMCspeedmodule3) + (50 * EMCproductivitymodule3) + (150 * EMCadvanced_circuit) + (100 * EMCprocessing_unit) + (100 * EMCrocket)) pas weer nodig als er after game nuttigheden zijn voor het ding.
	EMCstone_furnace = ((0.5 * vartimetoEMC) + (5 * EMCstone))
	EMCburner_mining_drill = ((2 * vartimetoEMC) + (EMCstone_furnace) + (3 * EMCiron_plate) + (3 * EMCiron_gear_wheel))
	EMCelectric_mining_drill = ((2 * vartimetoEMC) + (10 * EMCiron_plate) + (5 * EMCiron_gear_wheel) + (3 * EMCelectronic_circuit))
	EMCsteel_furnace = ((3 * vartimetoEMC) + (8 * EMCsteel_plate) + (10 * EMCstone_brick))
	EMCeletric_furnace = ((5 * vartimetoEMC) + (15 * EMCsteel_plate) + (10 * EMCstone_brick) + (5 * EMCadvanced_circuit))
	EMCassembling_machine1 = ((0.5 * vartimetoEMC) + (9 * EMCiron_plate) + (5 * EMCiron_gear_wheel) + (3 * EMCelectronic_circuit))
	EMCassembling_machine2 = ((0.5 * vartimetoEMC) + (EMCassembling_machine1) + (9 * EMCiron_plate) + (5 * EMCiron_gear_wheel) + (3 * EMCelectronic_circuit))
	EMCassembling_machine3 = ((0.5 * vartimetoEMC) + (2 * EMCassembling_machine2) + (4 * EMCspeedmodule1))
	EMClab = ((5 * vartimetoEMC) + (4 * EMCtransport_belt) + (10 * EMCiron_gear_wheel) + (10 * EMCelectronic_circuit))
	EMCbasic_beacon = ((15 * vartimetoEMC) + (10 * EMCsteel_plate) + (10 * EMCcopper_cable) + (20 * EMCelectronic_circuit) + (20 * EMCadvanced_circuit))
	EMCradar = ((0.5 * vartimetoEMC) + (10 * EMCiron_plate) + (5 * EMCiron_gear_wheel) + (5 * EMCelectronic_circuit))
	EMCsmall_electric_pole = (((0.5 * vartimetoEMC) + (2 * EMCwood) + (2 * EMCcopper_cable)) / 2)
	EMCmedium_electric_pole = ((1 * vartimetoEMC) + (2 * EMCsteel_plate) + (2 * EMCcopper_plate))
	EMCbig_electric_pole = ((1 * vartimetoEMC) + (5 *EMCsteel_plate) + (5 * EMCcopper_plate))
	EMCsubstation = ((1 * vartimetoEMC) + (10 * EMCsteel_plate) + (5 * EMCcopper_plate) + (5 * EMCadvanced_circuit))
	EMCboiler = ((1 * vartimetoEMC) + (EMCpipe) + (EMCstone_furnace))
	EMCsteam_engine = ((1 * vartimetoEMC) + (5 * EMCiron_plate) + (5 * EMCiron_gear_wheel) + (5 * EMCpipe))
	EMCbasic_accumulator = ((0.5 * vartimetoEMC) + (2 * EMCiron_plate) + (5 * EMCbattery))
	EMClamp = ((1 * vartimetoEMC) + (EMCiron_plate) + (3 * EMCiron_stick) + (EMCelectronic_circuit))
	EMCstraight_rail = (((1 * vartimetoEMC) + (EMCstone) + (EMCsteel_plate) + (EMCiron_stick)) / 2)
	EMCcurved_rial = (((1 * vartimetoEMC) + (4 * EMCstone) + (4 * EMCsteel_plate) + (4 * EMCiron_stick)) / 2)
	EMCtrain_stop = ((1 * vartimetoEMC) + (10 * EMCiron_plate) + (3 * EMCsteel_plate) + (5 * EMCelectronic_circuit))
	EMCrail_signal = ((1 * vartimetoEMC) + (5 * EMCiron_plate) + (EMCelectronic_circuit))
	EMCdiesel_locomotive = ((0.5 * vartimetoEMC) + (10 * EMCsteel_plate) + (5 * EMCelectronic_circuit) + (15 * EMCengine_unit))
	EMCcargo_wagon = ((1 * vartimetoEMC) + (20 * EMCiron_plate) + (5 * EMCsteel_plate) + (10 * EMCiron_gear_wheel))
	EMCpipe_to_ground = (((0.5 * vartimetoEMC) + (5 * EMCiron_plate) + (10 * EMCpipe) ) / 2)
	EMCoffshore_pump = ((1 * vartimetoEMC) + (EMCiron_gear_wheel) + (EMCpipe) + (2 * EMCelectronic_circuit))
	EMCstorage_tank = ((3 * vartimetoEMC) + (20 * EMCiron_plate) + (5 * EMCsteel_plate))
	EMCoil_refinery = ((20 * vartimetoEMC) + (10 * EMCpipe) + (15 * EMCsteel_plate) + (10 * EMCstone_brick) + (10 * EMCiron_gear_wheel) + (10 * EMCelectronic_circuit))
	EMCchemical_plant = ((10 * vartimetoEMC) + (5 * EMCpipe) + (5 * EMCsteel_plate) + (5 * EMCiron_gear_wheel) + (5 * EMCelectronic_circuit))
	EMCpumpjack = ((20 * vartimetoEMC) + (10 * EMCpipe) + (15 * EMCsteel_plate) + (10 * EMCiron_gear_wheel) + (10 * EMCelectronic_circuit))
	EMCsmall_pump = ((2 * vartimetoEMC) + (EMCpipe) + (EMCsteel_plate) + (EMCelectric_engine_unit))
	--[[print("emcpetroleumgas", EMCpetroleum_gas)
	print ("EMClight_oil", EMClight_oil)
	print ("EMCheavy_oil", EMCheavy_oil)
	print ("EMCiron_plate", EMCiron_plate)
	print ("EMCcopper_plate", EMCcopper_plate)
	print ("EMCsteel_plate", EMCsteel_plate)
	print ("EMCstone_brick", EMCstone_brick)
	print ("EMCiron_stick", EMCiron_stick)
	print ("EMCiron_gear_wheel", EMCiron_gear_wheel)
	print ("EMCcopper_cable", EMCcopper_cable)
	print ("", )
	--]]
	io.close ("%AppData%/Roaming/Factorio/mods/Equivalent-Exchange_0.1.1/config/EMCfixed.lua")
	io.open ("%AppData%/Roaming/Factorio/mods/Equivalent-Exchange_0.1.1/config/EMCreadout.lua", "w+")
	if io.read () ~= varversion then
		io.write (varversion)
		io.write (vartimetoEMC)
		io.write (EMCwater)
		io.write (EMCcrude_oil)
		io.write (EMCpetroleum_gas)
		io.write (EMClight_oil)
		io.write (EMCheavy_oil)
		io.write (EMCraw_wood)
		io.write (EMCcoal)
		io.write (EMCiron_ore)
		io.write (EMCcopper_ore)
		io.write (EMCstone)
		io.write (EMCraw_fish)
		io.write (EMCalien_artifact)
		io.write (EMC)
		io.write (EMC)
		io.write (EMC)
		io.write (EMC)
	end
end
)