data:extend(
{
{
    type = "assembling-machine",
    name = "energy-condenser-new",
    icon = "__Equivalent-Exchange__/graphics/icon_energy-condenser.png",
    flags = {"placeable-neutral","placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "energy-condenser-new"},
    max_health = 300,
    corpse = "small-remnants",
    dying_explosion = "medium-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      },
	  {
		type = "explosion",
		percent = 80
	   },
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__Equivalent-Exchange__/sounds/work-energy-condenser-1.ogg",
          volume = 0.8
        },
        {
          filename = "__Equivalent-Exchange__/sounds/work-energy-condenser-2.ogg",
          volume = 0.8
        },
      },
--      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
--      apparent_volume = 1.5,
    },
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
--    fast_replaceable_group = "assembling-machine",
	animation =
    {
      north =
      {
        filename = "__Equivalent-Exchange__/graphics/icon_energy-condenser.png",
		width = 48,
		height = 34,
		shift = {0.2, 0},
        frame_count = 1,
      },
      east =
      {
        filename = "__Equivalent-Exchange__/graphics/icon_energy-condenser.png",
		width = 48,
		height = 34,
		shift = {0.2, 0},
        frame_count = 1,
      },
      south =
      {
        filename = "__Equivalent-Exchange__/graphics/icon_energy-condenser.png",
		width = 48,
		height = 34,
		shift = {0.2, 0},
        frame_count = 1,
      },
      west =
      {
        filename = "__Equivalent-Exchange__/graphics/icon_energy-condenser.png",
		width = 48,
		height = 34,
		shift = {0.2, 0},
        frame_count = 1,
      }
    },    
	crafting_categories = {"items-to-EMC"},
    crafting_speed = 2000.0,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0 / 0
    },
    energy_usage = "50kW",
    ingredient_count = 6,
},
  }
	)